## squeekboard 1.10.0

=== meson_options.txt ===
option('depdatadir',
       type : 'string',
       value : '',
       description : 'System data path. Will be searched for definitions instead of datadir when provided')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('legacy',
       type: 'boolean', value: false,
       description: 'Build with Deban Buster versions of dependencies')

=== debian/changelog ===
squeekboard (1.10.0-1) unstable; urgency=medium

  * New upstream release 1.10.0
  * d/control: build-depend on libfeedbackd-dev and set team maintainership
  * d/control: fix dependency name
  * d/copyright: add missing entries
  * d/copyright: add entries for new keyboard files and remove duplicate
    `src/meson.build` appeared in 2 different paragraphs, remove the
    duplicate entry.
  * d/gbp.conf: fix debian version number

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 23 Oct 2020 13:18:43 +0200

squeekboard (1.9.3-1) experimental; urgency=medium

  * Upload to experimental
  * Update upstream source from tag 'v1.9.3'
    Update to upstream version '1.9.3'
    with Debian dir 7a3f8b82779759ba288b75755ba54500250b0ff4
  * d/control: Use librust-xkbcommon-dev
    This one avoids the empty feature package.
  * Ship sm.puri.OSK0.desktop.
    This is needed to fulfill phosh's session dependencies
  * Conflict with phosh-osk-stub.
    They're not useful at the same time and we'll drop phosh-osk-stub from
    Debian once squeekboard is in.
  * Drop pathes no longer required due to upstream changes
    - 0001-Cargo.toml-update-to-Debian-dependencies-versions.patch
    - 0002-popover.rs-fix-build-with-gtk-rs-0.7.0.patch
  * d/gbp.conf: Don't use patch numbers.
    Ordering is defined via the series file and patch numbers just
    cause manual work.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 26 Sep 2020 13:01:18 +0200

squeekboard (1.9.2-1) UNRELEASED; urgency=medium

  * Initial Debian release (Closes: #956960)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 09 Jun 2020 23:29:19 +0200

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME = $(CURDIR)/debian/cargo
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build --buildsystem=meson

# The Debian version of linked-hash-map doesn't provide any hash,
# causing Cargo to refuse to build with a crates.io copy
build-arch:
	rm Cargo.lock
	dh $@ --builddirectory=_build --buildsystem=meson

override_dh_autoreconf:

## squeekboard 1.11.0

=== debian/changelog ===
squeekboard (1.11.0-1) unstable; urgency=medium

  * New upstream release 1.11.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 16 Nov 2020 11:17:23 +0100

squeekboard (1.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/rules: set RUSTFLAGS to avoid an FTBFS on mips64el (Closes: #974036)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 10 Nov 2020 18:40:50 +0000

=== debian/control ===
Source: squeekboard
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 cargo,
 debhelper-compat (= 12),
 meson (>=0.51.0),
 ninja-build,
 pkg-config,
 libfeedback-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 librust-aho-corasick-dev,
 librust-bitflags-1-dev (>= 1.0),
 librust-clap-2+default-dev (>= 2.32),
 librust-gio+v2-44-dev,
 librust-glib+v2-44-dev,
 librust-glib-sys-dev,
 librust-gtk+v3-22-dev (>= 0.5),
 librust-gtk-sys-dev,
 librust-maplit-1-dev (>= 1.0),
 librust-regex-1-dev (>= 1.1),
 librust-serde-derive-1-dev (>= 1.0),
 librust-serde-yaml-0.8-dev (>= 0.8),
 librust-thread-local-dev,
 librust-xkbcommon-dev (>= 0.4),
 libwayland-dev (>= 1.16),
 rustc,
 wayland-protocols (>= 1.14),
Standards-Version: 4.5.0
Homepage: https://source.puri.sm/Librem5/squeekboard
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git
Rules-Requires-Root: no

Package: squeekboard
Architecture: linux-any
Depends:
# for the Adwaita-dark theme
 gnome-themes-extra-data,
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: phosh-osk-stub
Description: On-screen keyboard for Wayland
 Virtual keyboard supporting Wayland, built primarily for the Librem 5 phone.

Package: squeekboard-devel
Architecture: linux-any
Depends:
 python3,
 python3-gi,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Resources for making Squeekboard layouts
 Tools for creating and testing Squeekboard layouts:
 .
  * squeekboard-entry
  * squeekboard-test-layout

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,12 @@
 
 export CARGO_HOME = $(CURDIR)/debian/cargo
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# the below avoids an FTBFS on mips64el with a GOT > 64kb
+include /usr/share/dpkg/architecture.mk
+ifeq ($(DEB_HOST_ARCH),mips64el)
+ export RUSTFLAGS = -Ctarget-feature=+xgot
+endif
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=meson

## squeekboard 1.11.1

=== debian/changelog ===
squeekboard (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 24 Nov 2020 11:52:41 +0100

## squeekboard 1.12.0

=== meson_options.txt ===
--- 
+++ 
@@ -10,3 +10,7 @@
 option('legacy',
        type: 'boolean', value: false,
        description: 'Build with Deban Buster versions of dependencies')
+
+option('strict',
+       type: 'boolean', value: true,
+       description: 'Turn more warnings into errors')

=== debian/changelog ===
squeekboard (1.12.0-1) unstable; urgency=medium

  [ Henry-Nicolas Tourneur ]
  * d/rules: fix an FTBFS on mips64el with GOT > 64kb
  * d/rules: export RUSTFLAGS only on architecture that needs it

  [ Dorota Czaplejewicz ]
  * debian: Build reproducibly

  [ Arnaud Ferraris ]
  * New upstream version 1.12.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 26 Jan 2021 18:19:42 +0100

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,8 @@
  librust-thread-local-dev,
  librust-xkbcommon-dev (>= 0.4),
  libwayland-dev (>= 1.16),
+ lsb-release,
+ python3,
  rustc,
  wayland-protocols (>= 1.14),
 Standards-Version: 4.5.0

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,17 @@
 # the below avoids an FTBFS on mips64el with a GOT > 64kb
 include /usr/share/dpkg/architecture.mk
 ifeq ($(DEB_HOST_ARCH),mips64el)
- export RUSTFLAGS = -Ctarget-feature=+xgot
+  xgot = -Ctarget-feature=+xgot
+else
+  xgot =
 endif
+
+# Don't use paths that may change between builds.
+# No need to care about $HOME
+# because Cargo will not place any source in ~/.cargo.
+# The build directory is a subdirectory of the source directory,
+# so it doesn't need to be explicitly taken care of.
+export RUSTFLAGS = --remap-path-prefix=$(CURDIR)=/remap-pwd $(xgot)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=meson

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/squeekboard.*\.tar\.gz/squeekboard-$1\.tar\.gz/g \
  https://source.puri.sm/Librem5/squeekboard/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## squeekboard 1.14.0

=== debian/changelog ===
squeekboard (1.14.0-3) unstable; urgency=medium

  * Team upload.
  * d/patches: add fix_meson_ftbfs to fix an FTBFS
    with meson 0.60 (Closes: #998576)
  * d/patches: add fix_cargo_error.patch to fix an FTBFS
    rust 1.54+ needs dependency versionning

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 16 Nov 2021 18:41:52 +0000

squeekboard (1.14.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 01 Sep 2021 12:41:53 +0200

squeekboard (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0
  * d/patches: drop upstreamed patch
  * d/copyright: update copyright information

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Wed, 02 Jun 2021 15:07:29 +0200

squeekboard (1.13.0-1) experimental; urgency=medium

  * New upstream version 1.13.0

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Fri, 16 Apr 2021 20:44:19 +0200

## squeekboard 1.16.0

=== debian/changelog ===
squeekboard (1.16.0-1) unstable; urgency=medium

  [ Guido Günther ]

  * debian: Install translations
  * debian: Switch to dh 13.
  * debian: Install desktop file.

  [ Arnaud Ferraris ]
  * debian: drop obsolete patches.
  * debian: update upstream URL
  * d/rules: don't fail if Cargo.lock doesn't exist.
  * debian: build with newer crates versions. (Closes: #1003756)
  * d/lintian-overrides: update for new syntax
  * d/copyright: update copyright info.
  * d/control: bump Standards-Version, no changes required

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 02 Feb 2022 21:22:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  cargo,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  meson (>=0.51.0),
  ninja-build,
  pkg-config,
@@ -16,13 +16,12 @@
  librust-aho-corasick-dev,
  librust-bitflags-1-dev (>= 1.0),
  librust-clap-2+default-dev (>= 2.32),
- librust-gio+v2-44-dev,
- librust-glib+v2-44-dev,
+ librust-gio+v2-58-dev,
+ librust-glib+v2-58-dev,
  librust-glib-sys-dev,
  librust-gtk+v3-22-dev (>= 0.5),
  librust-gtk-sys-dev,
  librust-maplit-1-dev (>= 1.0),
- librust-regex-1-dev (>= 1.1),
  librust-serde-derive-1-dev (>= 1.0),
  librust-serde-yaml-0.8-dev (>= 0.8),
  librust-thread-local-dev,
@@ -30,10 +29,11 @@
  libwayland-dev (>= 1.16),
  lsb-release,
  python3,
+ python3-ruamel.yaml,
  rustc,
  wayland-protocols (>= 1.14),
-Standards-Version: 4.5.0
-Homepage: https://source.puri.sm/Librem5/squeekboard
+Standards-Version: 4.6.0
+Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git
 Rules-Requires-Root: no

## squeekboard 1.17.0

=== meson_options.txt ===
--- 
+++ 
@@ -7,9 +7,9 @@
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
 
-option('legacy',
+option('newer',
        type: 'boolean', value: false,
-       description: 'Build with Deban Buster versions of dependencies')
+       description: 'Build with dependencies newer than those of Byzantium')
 
 option('strict',
        type: 'boolean', value: true,

=== debian/changelog ===
squeekboard (1.17.0-1) unstable; urgency=medium

  * d/gbp.conf: change upstream tag handling.
    This allows us to use `gbp import-orig --uscan`.
  * New upstream version 1.17.0
  * d/patches: drop backported patch.
    It is now included in the current upstream release.
  * d/copyright: simplify and add missing records.
    Lots of copyright records are somewhat redundant, attributing copyright
    to Daiki Ueno, Red Hat, Purism and/or "Squeekboard Contributors". As we
    can safely assume the latter 2 groups have touched almost every file in
    this repo, let's make this the default copyright. Additional records are
    added only for files explicitly mentioning different authorship and/or
    license. This makes the copyright file a bit simpler and also more
    accurate.
    This commit also adds records for new files (or ones that weren't
    noticed before).

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 08 Mar 2022 12:16:44 +0100

## squeekboard 1.17.1

=== meson_options.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
        type: 'boolean', value: false,
        description: 'Build with dependencies newer than those of Byzantium')
 
+option('online',
+       type: 'boolean', value: true,
+       description: 'Pull packages from the internet while building, as opposed to a local regstry.')
+       
 option('strict',
        type: 'boolean', value: true,
        description: 'Turn more warnings into errors')

=== debian/changelog ===
squeekboard (1.17.1-0ubuntu1) jammy; urgency=medium

  * Disable patch switching to clap3 since it's not in Ubuntu yet
  * Revert "d/control: update clap build dependency"

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 20 Apr 2022 17:37:57 -0400

squeekboard (1.17.1-1) unstable; urgency=medium

  * New upstream version 1.17.1
  * d/patches: update patch fixing build.
    The patch we used to carry is replaced by an upstream backport, as it
    requires another change already taken into account there.
  * d/patches: backport upstream patches fixing sizing (Closes: #1007115)
  * d/control: update clap build dependency.
    We now depend on clap v3, not v2, and need the "std" feature.
  * d/patches: fix build on i386.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Tue, 19 Apr 2022 18:09:28 +0200

squeekboard (1.17.0-2) unstable; urgency=medium

  * d/patches: fix build failure due to newer crate version.
    Crate `clap` has been upgraded to 2.34 in Debian, so make sure this
    package still builds fine. (Closes: #1008357)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 28 Mar 2022 15:16:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: squeekboard
 Section: x11
 Priority: optional
-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
 Build-Depends:
  cargo,

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,13 @@
 # The Debian version of linked-hash-map doesn't provide any hash,
 # causing Cargo to refuse to build with a crates.io copy
 build-arch:
-	rm Cargo.lock
+	rm -f Cargo.lock
 	dh $@ --builddirectory=_build --buildsystem=meson
 
+# Debian has newer Rust crates than what is used by upstream, make
+# sure we build with the relevant dependencies and code paths for
+# our case
+override_dh_auto_configure:
+	dh_auto_configure -- -Dnewer=true
+
 override_dh_autoreconf:

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/squeekboard.*\.tar\.gz/squeekboard-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/Phosh/squeekboard/tags?sort=updated_desc .*/archive/v(\d\S+)/.*\.tar\.gz.*

## squeekboard 1.18.0

=== debian/changelog ===
squeekboard (1.18.0-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * Describe service management
  * Update to squeekboard 1.18.0

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Wed, 01 Jun 2022 14:28:57 +0000

squeekboard (1.17.1-1pureos2) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * Fix 1.17.1

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 25 Apr 2022 12:51:31 +0000

squeekboard (1.17.1-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * Update to squeekboard v1.17.1

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 16 Apr 2022 10:52:04 +0000

squeekboard (1.15.0-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * packaging: Readme for the release procedure
  * ci: Fix tag check job
  * ci: Fix pristine-tar check
  * ci: Adjust release check script to PureOS
  * ci: Fix adjusted release check script
  * debian: Update release guide
  * New upstream release

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Tue, 21 Dec 2021 16:52:05 +0000

squeekboard (1.14.0-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * debian: New upstream release

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Sat, 22 May 2021 14:19:27 +0000

squeekboard (1.13.0-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * debian: New upstream release

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Mon, 12 Apr 2021 10:50:32 +0000

squeekboard (1.12.0-1pureos1) byzantium; urgency=medium

  [ Dorota Czaplejewicz ]
  * debian: New Byzantium release

 -- Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>  Thu, 28 Jan 2021 14:36:20 +0000

=== debian/control ===
Source: squeekboard
Section: x11
Priority: optional
Maintainer: Dorota Czaplejewicz <dorota.czaplejewicz@puri.sm>
Build-Depends:
 cargo,
 debhelper (>= 10),
 meson (>=0.51.0),
 ninja-build,
 pkg-config,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 libfeedback-dev,
 librust-bitflags-1-dev (>= 1.0),
 librust-clap-2+default-dev (>= 2.32),
 librust-gio+v2-44-dev,
 librust-glib+v2-44-dev,
 librust-glib-sys-dev,
 librust-gtk+v3-22-dev (>= 0.5),
 librust-gtk-sys-dev,
 librust-maplit-1-dev (>= 1.0),
 librust-regex-1-dev (>= 1.1),
 librust-serde-derive-1-dev (>= 1.0),
 librust-serde-yaml-0.8-dev (>= 0.8),
 librust-xkbcommon-0.4+wayland-dev (>= 0.4),
 librust-zbus-dev (>=1.0),
 libwayland-dev (>= 1.16),
 lsb-release,
 python3,
 rustc,
 wayland-protocols (>= 1.14),
Standards-Version: 4.1.3
Homepage: https://source.puri.sm/Librem5/squeekboard
Vcs-Browser: https://source.puri.sm/pureos/squeekboard
Vcs-Git: https://source.puri.sm/pureos/squeekboard.git

Package: squeekboard
Architecture: linux-any
Depends:
# for the Adwaita-dark theme
 gnome-themes-extra-data,
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 librem5-base (<< 24),
Description: On-screen keyboard for Wayland
 Virtual keyboard supporting Wayland, built primarily for the Librem 5 phone.

Package: squeekboard-devel
Architecture: linux-any
Depends:
 python3,
 python3-gi,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Resources for making Squeekboard layouts
 Tools for creating and testing Squeekboard layouts:
 .
  * squeekboard-entry
  * squeekboard-test-layout

## squeekboard 1.19.0

=== debian/changelog ===
squeekboard (1.19.0-2) unstable; urgency=medium

  * d/patches: relax clap dependency
  * d/rules: fix build on ppc64el.
    Due to a rust bug on ppc64el, `squeekboard-test-layout` fails to build
    properly, causing the whole build to fail on this architecture. This
    prevents newer versions of the package to migrate to testing.
    This bug is due to the linker trying to resolve unused symbols when
    building a rust binary and is only seen when using version 1.59.0 of
    rustc.
    This commit works around this problem by adding the needed linker flags
    to ensure all symbols are properly resolved, even those not actually
    used by the binaries.
    Those changes can be reverted once a newer version of rustc is packaged
    for Debian.
    Note: this commit also drops the `xgot` feature for mips64el as it is
    now automatically enabled for this architecture in Debian's rustc.
    (Closes: #1016396)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 04 Aug 2022 00:39:37 +0200

squeekboard (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0
  * d/control: update my email address
  * d/patches: drop upstreamed patches
  * debian: drop now-unused lintian overrides

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Jul 2022 15:15:54 +0200

squeekboard (1.18.0-1) unstable; urgency=medium

  * New upstream version
    - possible to enable debugging messages while Squeekboard is running
    - input method state fix
  * d/patches: drop patches.
    They were all merged upstream.
  * d/control: update build dependencies and bump Standards-Version
  * d/patches: backport upstream commit fixing build.
    Newer glib-rs introduces breaking changes, this patch ensures the
    package builds with the version currently in Debian.

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 02 Jun 2022 13:53:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,13 @@
 export CARGO_HOME = $(CURDIR)/debian/cargo
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# the below avoids an FTBFS on mips64el with a GOT > 64kb
+# the below avoids an FTBFS on ppc64el with rustc 1.59
 include /usr/share/dpkg/architecture.mk
-ifeq ($(DEB_HOST_ARCH),mips64el)
-  xgot = -Ctarget-feature=+xgot
-else
-  xgot =
+ARCH_FLAGS =
+ARCH_DOC_FLAGS =
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  ARCH_FLAGS = -L$(CURDIR)/_build/src -lsqueekboard -lwayland-client -lfeedback-0.0 -lgnome-desktop-3
+  ARCH_DOC_FLAGS = -L$(CURDIR)/_build/src
 endif
 
 # Don't use paths that may change between builds.
@@ -16,7 +17,8 @@
 # because Cargo will not place any source in ~/.cargo.
 # The build directory is a subdirectory of the source directory,
 # so it doesn't need to be explicitly taken care of.
-export RUSTFLAGS = --remap-path-prefix=$(CURDIR)=/remap-pwd $(xgot)
+export RUSTFLAGS = --remap-path-prefix=$(CURDIR)=/remap-pwd $(ARCH_FLAGS)
+export RUSTDOCFLAGS = $(ARCH_DOC_FLAGS)
 
 %:
 	dh $@ --builddirectory=_build --buildsystem=meson

## squeekboard 1.20.0

=== meson_options.txt ===
--- 
+++ 
@@ -15,6 +15,10 @@
        type: 'boolean', value: true,
        description: 'Pull packages from the internet while building, as opposed to a local regstry.')
        
+option('reset_lock',
+       type: 'boolean', value: true,
+       description: 'Resets Cargo.lock to the one found in the source repo. Does not affect builds with online == false.')
+       
 option('strict',
        type: 'boolean', value: true,
        description: 'Turn more warnings into errors')

=== debian/changelog ===
squeekboard (1.20.0-2) unstable; urgency=medium

  * desktop-file: Add X-GNOME-* for session management
  * Use update-alternatives to provide sm.puri.OSK0.desktop.
    This allows other implementations to work as OSK for phosh as well.
    (Closes: #1023510)
  * d/control: Version conflict on phosh-osk-stub.
    We can happily coexist with the version that uses
    update-alternatives.

 -- Guido Günther <agx@sigxcpu.org>  Mon, 07 Nov 2022 21:25:57 +0100

squeekboard (1.20.0-1) unstable; urgency=medium

  * debian: drop ppc64el workaround and patch.
    This issue was only present with `rustc` 1.59 and has been fixed since
    then (current `rustc` in Debian testing is 1.60), we can now drop our
    workaround.
  * d/rules: don't use online dependencies.
    By default, `squeekboard` uses a fixed `Cargo.lock` so it can get the
    right versions when fetching dependencies online. However, on Debian we
    use the packaged crates instead of letting `cargo` fetch them online, so
    we should disable this flag when configuring the build.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 14 Sep 2022 00:22:35 +0200

=== debian/control ===
Source: squeekboard
Section: x11
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Build-Depends:
 cargo,
 debhelper-compat (= 13),
 meson (>=0.51.0),
 ninja-build,
 pkg-config,
 libfeedback-dev,
 libglib2.0-dev,
 libgnome-desktop-3-dev,
 libgtk-3-dev,
 librust-aho-corasick-dev,
 librust-bitflags-1-dev (>= 1.0),
 librust-clap-3+std-dev (>= 3.1),
 librust-gio+v2-58-dev (>= 0.14),
 librust-glib+v2-58-dev (>= 0.14),
 librust-glib-sys-dev (>= 0.14),
 librust-gtk+v3-22-dev (>= 0.14),
 librust-gtk-sys-dev (>= 0.14),
 librust-maplit-1-dev (>= 1.0),
 librust-serde-derive-1-dev (>= 1.0),
 librust-serde-yaml-0.8-dev (>= 0.8),
 librust-thread-local-dev,
 librust-xkbcommon-dev (>= 0.4),
 librust-zbus-1-dev (>= 1.9),
 librust-zvariant-2-dev (>= 2.10),
 librust-zvariant-derive-2-dev (>= 2.10),
 libwayland-dev (>= 1.16),
 lsb-release,
 python3,
 python3-ruamel.yaml,
 rustc,
 wayland-protocols (>= 1.14),
Standards-Version: 4.6.1
Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git
Rules-Requires-Root: no

Package: squeekboard
Architecture: linux-any
Depends:
# for the Adwaita-dark theme
 gnome-themes-extra-data,
 ${shlibs:Depends},
 ${misc:Depends},
Conflicts: phosh-osk-stub (<< 0.22.1)
Description: On-screen keyboard for Wayland
 Virtual keyboard supporting Wayland, built primarily for the Librem 5 phone.

Package: squeekboard-devel
Architecture: linux-any
Depends:
 python3,
 python3-gi,
 ${shlibs:Depends},
 ${misc:Depends},
Description: Resources for making Squeekboard layouts
 Tools for creating and testing Squeekboard layouts:
 .
  * squeekboard-entry
  * squeekboard-test-layout

## squeekboard 1.21.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
+
+option('find_orphans',
+       type: 'boolean', value: false,
+       description: 'Check if all present layout files are included in resources.')
 
 option('newer',
        type: 'boolean', value: false,
@@ -16,9 +20,9 @@
        description: 'Pull packages from the internet while building, as opposed to a local regstry.')
        
 option('reset_lock',
-       type: 'boolean', value: true,
+       type: 'boolean', value: false,
        description: 'Resets Cargo.lock to the one found in the source repo. Does not affect builds with online == false.')
-       
+
 option('strict',
        type: 'boolean', value: true,
        description: 'Turn more warnings into errors')

=== debian/changelog ===
squeekboard (1.21.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: add missing dependencies
    Upstream moved to `clap` v4 and now requires `libbsd`. Moreover, the
    binary package now recommends a new font for greek polytonic (so it gets
    pulled in by default, but users can easily uninstall it).
    We also take this opportunity to bump Standards-Version (no change
    needed) and improve the package's long description.
  * d/patches: drop upstreamed and obsolete patches
  * debian: add lintian-overrides
    `squeekboard` uses a crate which includes a Rust rewrite of `libyaml`.
    `lintian` falsely recognizes this as an embedded copy of the original
    `libyaml` and raises an error we should ignore.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Mar 2023 11:18:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
  meson (>=0.51.0),
  ninja-build,
  pkg-config,
+ libbsd-dev,
  libfeedback-dev,
  libglib2.0-dev,
  libgnome-desktop-3-dev,
  libgtk-3-dev,
  librust-aho-corasick-dev,
  librust-bitflags-1-dev (>= 1.0),
- librust-clap-3+std-dev (>= 3.1),
+ librust-clap-4+std-dev (>= 3.1),
  librust-gio+v2-58-dev (>= 0.14),
  librust-glib+v2-58-dev (>= 0.14),
  librust-glib-sys-dev (>= 0.14),
@@ -35,7 +36,7 @@
  python3-ruamel.yaml,
  rustc,
  wayland-protocols (>= 1.14),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git
@@ -48,9 +49,14 @@
  gnome-themes-extra-data,
  ${shlibs:Depends},
  ${misc:Depends},
+Recommends:
+# for Greek polytonic readability
+ fonts-gfs-didot-classic,
 Conflicts: phosh-osk-stub (<< 0.22.1)
 Description: On-screen keyboard for Wayland
- Virtual keyboard supporting Wayland, built primarily for the Librem 5 phone.
+ Virtual keyboard for Wayland, supporting the 'input-method', 'text-input' and
+ 'virtual-keyboard' protocols. Squeekboard is built primarily for mobile
+ devices such as phones and tablets.
 
 Package: squeekboard-devel
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME = $(CURDIR)/debian/cargo
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Don't use paths that may change between builds.
# No need to care about $HOME
# because Cargo will not place any source in ~/.cargo.
# The build directory is a subdirectory of the source directory,
# so it doesn't need to be explicitly taken care of.
export RUSTFLAGS = --remap-path-prefix=$(CURDIR)=/remap-pwd

%:
	dh $@ --builddirectory=_build --buildsystem=meson

# The Debian version of linked-hash-map doesn't provide any hash,
# causing Cargo to refuse to build with a crates.io copy
build-arch:
	rm -f Cargo.lock
	dh $@ --builddirectory=_build --buildsystem=meson

# Debian has newer Rust crates than what is used by upstream, make
# sure we build with the relevant dependencies and code paths for
# our case
override_dh_auto_configure:
	dh_auto_configure -- -Dnewer=true -Donline=false

override_dh_autoreconf:

## squeekboard 1.22.0

=== debian/changelog ===
squeekboard (1.22.0-5) unstable; urgency=medium

  [ Peter Michael Green ]
  * update patches for gtk-rs 0.18 (Closes: #1053536)

  [ Arnaud Ferraris ]
  * d/control: update version requirements for gtk-rs dependencies

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 16 Oct 2023 12:52:51 +0200

squeekboard (1.22.0-4) unstable; urgency=medium

  [ Peter Michael Green ]
  * d/patches: update for gtk-rs 0.17
    (Closes: #1042983)

  [ Arnaud Ferraris ]
  * d/rules: d/rules: improve tests robustness.
    This makes the tests flaky as those involve compiling binaries, which
    causes the following issues:
    - parallel threads time out waiting on another build to finish
    - compilation itself sometimes fail due to possible race conditions
    Furthermore, on certain architectures the default timeout can often be
    hit, so improve it by adding a x3 multiplier.
    While at it, drop the (now-)unneeded override on `dh_autoreconf`.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 23 Aug 2023 10:47:31 +0200

squeekboard (1.22.0-3) unstable; urgency=medium

  * debian: update build dependencies.
    Debian now includes `gtk-rs` packages on version 0.16 and
    `rust-xkbcommon` on version 0.5. This requires patching the Cargo.toml
    file(s) to make the project use the current versions, and bump the
    required versions under d/control accordingly. (Closes: #1039534)

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 01 Jul 2023 17:14:45 +0200

squeekboard (1.22.0-2) unstable; urgency=medium

  * Release to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 13 Jun 2023 16:43:56 +0200

squeekboard (1.22.0-1) experimental; urgency=medium

  * New upstream version 1.22.0

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Apr 2023 14:52:57 +0200

=== debian/control ===
--- 
+++ 
@@ -16,17 +16,17 @@
  libgtk-3-dev,
  librust-aho-corasick-dev,
  librust-bitflags-1-dev (>= 1.0),
- librust-clap-4+std-dev (>= 3.1),
- librust-gio+v2-58-dev (>= 0.14),
- librust-glib+v2-58-dev (>= 0.14),
- librust-glib-sys-dev (>= 0.14),
- librust-gtk+v3-22-dev (>= 0.14),
- librust-gtk-sys-dev (>= 0.14),
+ librust-clap-4+std-dev (>= 4.0),
+ librust-gio+v2-58-dev (>= 0.18),
+ librust-glib+v2-58-dev (>= 0.18),
+ librust-glib-sys-dev (>= 0.18),
+ librust-gtk+v3-24-dev (>= 0.18),
+ librust-gtk-sys-dev (>= 0.18),
  librust-maplit-1-dev (>= 1.0),
  librust-serde-derive-1-dev (>= 1.0),
  librust-serde-yaml-0.8-dev (>= 0.8),
  librust-thread-local-dev,
- librust-xkbcommon-dev (>= 0.4),
+ librust-xkbcommon-dev (>= 0.5),
  librust-zbus-1-dev (>= 1.9),
  librust-zvariant-2-dev (>= 2.10),
  librust-zvariant-derive-2-dev (>= 2.10),

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -Dnewer=true -Donline=false
 
-override_dh_autoreconf:
+override_dh_auto_test:
+	dh_auto_test --no-parallel -- --timeout-multiplier 3

## squeekboard 1.24.0

=== debian/changelog ===
squeekboard (1.24.0-1) unstable; urgency=medium

  * New upstream version
  * d/gbp.conf: make more in line with other projects.
    Those changes allow one to easily manage d/changelog using gbp, automating
    most of the actions needed.
  * d/control: replace obsolete build-dep
    `pkg-config` has been replaced by `pkgconf`, let's acknowledge this and
    properly sort build dependencies.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 20 Mar 2024 18:40:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,6 @@
 Build-Depends:
  cargo,
  debhelper-compat (= 13),
- meson (>=0.51.0),
- ninja-build,
- pkg-config,
  libbsd-dev,
  libfeedback-dev,
  libglib2.0-dev,
@@ -32,6 +29,9 @@
  librust-zvariant-derive-2-dev (>= 2.10),
  libwayland-dev (>= 1.16),
  lsb-release,
+ meson (>=0.51.0),
+ ninja-build,
+ pkgconf,
  python3,
  python3-ruamel.yaml,
  rustc,

## squeekboard 1.42.0

=== debian/changelog ===
squeekboard (1.42.0-1) unstable; urgency=medium

  * New upstream version
  * d/watch: fix for recent GitLab
  * d/control: use versioned rust-g* deps.
    Squeekboard uses GTK+ 3.0, which are now in Debian as versioned crates
    in order to avoid colliding with newer GTK4 crates. Use those to fix
    building this package.
  * d/squeekboard: install gschema file
  * debian: drop now-unneeded lintian overrides
  * d/patches: disable flaky tests
    Size calculation tests fail on (at least) i386 likely due to differences
    in floating point precision, causing the package build to fail entirely.

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 13 Oct 2024 00:35:44 +0200

squeekboard (1.38.0-1) experimental; urgency=medium

  * New upstream version (Closes: #1069577)
  * d/patches: drop upstreamed patches
  * d/control: drop unneeded versioned constaints on build-deps
  * d/rules: drop usage of removed meson options
  * d/control: bump serde-yaml build-dep to 0.9 (Closes: #1042405)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 22 Apr 2024 22:32:40 +0200

## squeekboard 1.42.1

=== debian/changelog ===
squeekboard (1.42.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 22 Oct 2024 10:11:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,32 +11,31 @@
  libglib2.0-dev,
  libgnome-desktop-3-dev,
  libgtk-3-dev,
- librust-aho-corasick-dev,
- librust-bitflags-1-dev (>= 1.0),
- librust-clap-4+std-dev (>= 4.0),
- librust-gio+v2-58-dev (>= 0.18),
- librust-glib+v2-58-dev (>= 0.18),
- librust-glib-sys-dev (>= 0.18),
- librust-gtk+v3-24-dev (>= 0.18),
- librust-gtk-sys-dev (>= 0.18),
- librust-maplit-1-dev (>= 1.0),
- librust-serde-derive-1-dev (>= 1.0),
- librust-serde-yaml-0.8-dev (>= 0.8),
+ librust-bitflags-1-dev,
+ librust-clap-4+std-dev,
+ librust-gio-0.18+v2-58-dev,
+ librust-glib-0.18+v2-58-dev,
+ librust-glib-sys-0.18+v2-58-dev,
+ librust-gtk-0.18+v3-24-dev,
+ librust-gtk-sys-0.18+v3-24-dev,
+ librust-maplit-1-dev,
+ librust-serde-derive-1-dev,
+ librust-serde-yaml-0.9-dev,
  librust-thread-local-dev,
- librust-xkbcommon-dev (>= 0.5),
+ librust-xkbcommon-dev (>= 0.7),
  librust-zbus-1-dev (>= 1.9),
  librust-zvariant-2-dev (>= 2.10),
  librust-zvariant-derive-2-dev (>= 2.10),
- libwayland-dev (>= 1.16),
+ libwayland-dev,
  lsb-release,
- meson (>=0.51.0),
+ meson (>= 0.51.0),
  ninja-build,
  pkgconf,
  python3,
  python3-ruamel.yaml,
  rustc,
- wayland-protocols (>= 1.14),
-Standards-Version: 4.6.2
+ wayland-protocols,
+Standards-Version: 4.7.0
 Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git

## squeekboard 1.42.2

=== debian/changelog ===
squeekboard (1.42.2-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 12 Nov 2024 13:21:45 +0100

squeekboard (1.42.1-2) unstable; urgency=medium

  * debian: update xkbcommon dependency to 0.8

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 05 Nov 2024 16:58:54 +0100

## squeekboard 1.43.0

=== debian/changelog ===
squeekboard (1.43.0-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 18 Nov 2024 12:37:09 +0100

## squeekboard 1.43.1

=== meson_options.txt ===
option('depdatadir',
       type : 'string',
       value : '',
       description : 'System data path. Will be searched for definitions instead of datadir when provided')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('find_orphans',
       type: 'boolean', value: false,
       description: 'Check if all present layout files are included in resources.')

option('strict',
       type: 'boolean', value: true,
       description: 'Turn more warnings into errors')

=== debian/changelog ===
squeekboard (1.43.1-2) unstable; urgency=medium

  * debian: port to recent zbus.
    Backport an upstream MR and update the build-dependencies accordingly.
    Also bump `Standards-Version` as no other change is needed, and drop the
    now-obsolete `Rules-Requires-Root`. (Closes: #1053635)
  * debian: add systemd unit.
    This allows squeekboard to still be used with gnome-session 49. Based on
    https://gitlab.gnome.org/World/Phosh/squeekboard/-/merge_requests/712
    Also lower the Squeekboard alternative priority as Stevia is now the
    default and is more actively maintained. (Closes: #1118539)
  * d/patches: fix build failure in current Debian
  * d/watch: convert to version 5.
    Add a `Version-Mangle` as otherwise it keeps the leading `v` as part of
    the actual version.
  * debian: override lintian false positives
  * d/control: drop unneeded conflict.
    The affected version is no longer part of the archive and users up to
    date on current stable (trixie) will have versions of both packages that
    no longer conflict, so we can now drop this restriction.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 06 Nov 2025 11:37:19 +0100

squeekboard (1.43.1-1) unstable; urgency=medium

  * New upstream version

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 29 Nov 2024 11:13:31 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
  librust-serde-derive-1-dev,
  librust-serde-yaml-0.9-dev,
  librust-thread-local-dev,
- librust-xkbcommon-dev (>= 0.7),
- librust-zbus-1-dev (>= 1.9),
- librust-zvariant-2-dev (>= 2.10),
- librust-zvariant-derive-2-dev (>= 2.10),
+ librust-xkbcommon-0.8-dev,
+ librust-zbus-5-dev,
+ librust-zvariant-5-dev,
+ librust-zvariant-derive-5-dev,
  libwayland-dev,
  lsb-release,
  meson (>= 0.51.0),
@@ -34,12 +34,12 @@
  python3,
  python3-ruamel.yaml,
  rustc,
+ systemd-dev,
  wayland-protocols,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://gitlab.gnome.org/World/Phosh/squeekboard
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/squeekboard
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/squeekboard.git
-Rules-Requires-Root: no
 
 Package: squeekboard
 Architecture: linux-any
@@ -51,7 +51,6 @@
 Recommends:
 # for Greek polytonic readability
  fonts-gfs-didot-classic,
-Conflicts: phosh-osk-stub (<< 0.22.1)
 Description: On-screen keyboard for Wayland
  Virtual keyboard for Wayland, supporting the 'input-method', 'text-input' and
  'virtual-keyboard' protocols. Squeekboard is built primarily for mobile

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,5 @@
 	rm -f Cargo.lock
 	dh $@ --builddirectory=_build --buildsystem=meson
 
-# Debian has newer Rust crates than what is used by upstream, make
-# sure we build with the relevant dependencies and code paths for
-# our case
-override_dh_auto_configure:
-	dh_auto_configure -- -Dnewer=true -Donline=false
-
 override_dh_auto_test:
 	dh_auto_test --no-parallel -- --timeout-multiplier 3

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.gnome.org/World/Phosh/@PACKAGE@
Version-Mangle: s/v//
